Subject: [RFC PATCH 00/16] KVM: arm64: Initial support for SVE guests

From: [email-masked] (Alex Bennée)
Date: Fri, 06 Jul 2018 11:11:39 +0100

Peter Maydell <[email-masked]> writes:

> On 6 July 2018 at 10:20, Alex Benn?e <[email-masked]> wrote:
>> For the most part in QEMU with KVM we just treat the list of registers
>> we get from the OS as an opaque blob of things we save to memory and
>> pass back.
>
> This is specifically not the case for the SVE registers -- we
> will need extra code to handle them. (The current code only
> allows for the possibility of 64-bit registers, so if we'd
> allowed the kernel to hand it the larger SVE registers it would
> just have fallen over. This is why QEMU needs to specifically
> enable SVE via the VCPU_INIT call.)

Ahh right. So currently both the KVM_GET_REG_LIST and the core registers
use KVM_GET/SET_ONE_REG which certainly won't do the trick. So I guess
we need another IOCTL (or to enhance the current one) and a KVM
capability bit as well?

> thanks
> -- PMM

--
Alex Benn?e